package com.alibaba.druid.sql.dialect.mariadb.ast.statement;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.statement.SQLShowStatement;
import com.alibaba.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class DrdsShowGlobalIndex extends MariadbStatementImpl implements SQLShowStatement {
   private SQLName tableName = null;

   public void accept0(MariadbASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }

   public SQLName getTableName() {
      return this.tableName;
   }

   public void setTableName(SQLName tableName) {
      tableName.setParent(this);
      this.tableName = tableName;
   }
}
